Page MenuHomePhabricator

Tool "coord" loads Google Maps
Closed, ResolvedPublic

Description

https://tools.wmflabs.org/coord/: https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps/api/js?key=AIzaSyBwv4GfxWhUZwox5ndz3ExCX-OGFz6MB9U&libraries=geometry
https://tools.wmflabs.org/coord/: https://csi.gstatic.com/csi?v=2&s=mapsapi3&v3v=29.13&action=apiboot2&libraries=geometry&e=10_1_0,10_2_0&rt=main.11
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps-api-v3/api/js/29/13/common.js
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps-api-v3/api/js/29/13/util.js
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps-api-v3/api/js/29/13/infowindow.js
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps-api-v3/api/js/29/13/geocoder.js
https://tools.wmflabs.org/coord/: https://csi.gstatic.com/csi?v=2&s=mapsapi3&v3v=29.13&action=apiboot2&libraries=geometry&e=10_1_0,10_2_0&rt=firstmap.1925
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps-api-v3/api/js/29/13/map.js
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps-api-v3/api/js/29/13/overlay.js
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps/api/js/StaticMapService.GetMapImage?1m2&1i8135&2i5647&2e1&3u6&4m2&1u400&2u300&5m5&1e0&5sen-US&6sus&10b1&12b1&token=94903
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps-api-v3/api/js/29/13/onion.js
https://tools.wmflabs.org/coord/: https://maps.gstatic.com/mapfiles/openhand_8_8.cur
https://tools.wmflabs.org/coord/: https://csi.gstatic.com/csi?v=2&s=mapsapi3&v3v=29.13&action=map2&firstmap=true&hdpi=false&mob=false&staticmap=true&size=400x300&hadviewport=true&libraries=geometry&e=10_1_0,10_2_0&rt=visreq.536
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps/api/js/ViewportInfoService.GetViewportInfo?1m6&1m2&1d39.49244284103409&2d-10.440530866020481&2m2&1d53.56446270393129&2d16.341700485945125&2u6&4sen-US&5e0&6sm%40386000000&7b0&8e0&callback=_xdc_._h8qpum&token=18679
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps-api-v3/api/js/29/13/controls.js
https://tools.wmflabs.org/coord/: https://csi.gstatic.com/csi?v=2&s=mapsapi3&v3v=29.13&action=map2&firstmap=true&hdpi=false&mob=false&staticmap=true&size=400x300&hadviewport=true&libraries=geometry&e=10_1_0,10_2_0&rt=staticmap.776,firstpixel.776,allpixels.776
https://tools.wmflabs.org/coord/: https://maps.gstatic.com/mapfiles/transparent.png
https://tools.wmflabs.org/coord/: https://fonts.googleapis.com/css?family=Roboto:300,400,500,700
https://tools.wmflabs.org/coord/: https://csi.gstatic.com/csi?v=2&s=mapsapi3&v3v=29.13&action=map2&firstmap=true&hdpi=false&mob=false&staticmap=true&size=400x300&hadviewport=true&libraries=geometry&e=10_1_0,10_2_0&rt=visres.1070
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps/vt?pb=!1m5!1m4!1i6!2i32!3i22!4i256!2m3!1e0!2sm!3i386080964!3m9!2sen-US!3sUS!5e18!12m1!1e68!12m3!1e37!2m1!1ssmartmaps!4e0&token=72748
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps/vt?pb=!1m5!1m4!1i6!2i32!3i23!4i256!2m3!1e0!2sm!3i386080964!3m9!2sen-US!3sUS!5e18!12m1!1e68!12m3!1e37!2m1!1ssmartmaps!4e0&token=108769
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps/vt?pb=!1m5!1m4!1i6!2i31!3i22!4i256!2m3!1e0!2sm!3i386080964!3m9!2sen-US!3sUS!5e18!12m1!1e68!12m3!1e37!2m1!1ssmartmaps!4e0&token=15561
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps/vt?pb=!1m5!1m4!1i6!2i31!3i23!4i256!2m3!1e0!2sm!3i386080964!3m9!2sen-US!3sUS!5e18!12m1!1e68!12m3!1e37!2m1!1ssmartmaps!4e0&token=51582
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps/vt?pb=!1m5!1m4!1i6!2i33!3i22!4i256!2m3!1e0!2sm!3i386080964!3m9!2sen-US!3sUS!5e18!12m1!1e68!12m3!1e37!2m1!1ssmartmaps!4e0&token=129935
https://tools.wmflabs.org/coord/: https://maps.googleapis.com/maps/vt?pb=!1m5!1m4!1i6!2i33!3i23!4i256!2m3!1e0!2sm!3i386080964!3m9!2sen-US!3sUS!5e18!12m1!1e68!12m3!1e37!2m1!1ssmartmaps!4e0&token=34885
https://tools.wmflabs.org/coord/: https://maps.gstatic.com/mapfiles/api-3/images/google4.png
https://tools.wmflabs.org/coord/: https://maps.gstatic.com/mapfiles/api-3/images/mapcnt6.png

Loading from external providers are discouraged. Please see parent tasks and J65.

You may want to refer to https://www.mediawiki.org/wiki/Maps for how to migrate to Wikimedia Maps service.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2017, 2:27 PM
zhuyifei1999 assigned this task to Myst.Aug 3 2017, 2:28 PM
TheDJ added a subscriber: TheDJ.Mar 16 2018, 3:07 PM

I updated https://tools.wmflabs.org/locator/coordinates.php, to use our OSM tiles, instead if someone wants to work on this tool.
Also opened T189879: Set up a Nominatim instance to avoid geocode lookups with Google and/or OSM from tools so we all can fix the (reverse) geocode problem.

Quiddity triaged this task as High priority.Jun 25 2018, 6:21 PM

Note: I sent an email in July per T196418#4409358 and I will now leave a user talkpage note.

Quiddity closed this task as Resolved.Sep 25 2018, 8:02 PM

Resolving this task, as Myst has cleaned out the code entirely, and is planning to rewrite it. (per their comment at https://www.mediawiki.org/wiki/Topic:Ulf76ehiw0i5m0g7 and the current placeholder note at https://tools.wmflabs.org/coord/ - I didn't check any further than that.)

Myst added a comment.Sep 29 2018, 11:05 AM

Tool updated without Google dependencies.
Only OSM dependency now:
https://tools.wmflabs.org/coord/

Sorry for the wait,
and thanks @Quiddity

BR

Myst~